# Balances And History

## Balance

Reading balances using an instance of SDK is simply calling `getBalances()` a method of it.

```typescript
const balances = await veilnyx.getBalances();
```

The result `balances` In this case is a mapping of asset ID to the amount of that asset. E.g.

```typescript
// balances (assetId -> amount)
{
    65537: 5000n,
    65538: 4n, 
    65539: 10203n,
    .
    .
    .
}
```

## Transaction History

Reading the transaction history of a user is also as simple as calling `getHistory()` the method:

```typescript
const txHistory = await veilnyx.getHistory();
```

The `txHistory` is a list of historical items with multiple fields:

* `hash`: The transaction hash identifying the transaction.
* `action`: A string denoting the type of transaction, like `deposit`, `withdraw`, `receive`, etc.
* `assets`: The assets involved in the transaction.
* `timestamp`: The timestamp of the transaction.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veilnyx.com/veilnyx-sdk/balances-and-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
